addon.installfiles Installs a set of files for an addon
Usage
addon.installfiles <id:string> <target:string> [files]
Description

Installs the [files] for the addon identified by the specified <id>. These files will be automatically removed when the addon is uninstalled.
<target> is the target path inside the local KVIrc directory. The following standard paths should be used:

- "pics" for image files.
- "locale" for translation *.mo files.
- "audio" for sound files.
- "config" for configuration files.
- "help/<language>" for help files.

Other target paths are allowed and subdirectories are supported (e.g. pics/myaddon).
[files] is a list of filenames or directory names. Each file will be copied to the specified target path in the local KVIrc directory. Filenames can contain wildcard characters in the last component.

Switches

-q | --quiet
Makes the command run quietly
-s | --skip-nonexistent
Skip nonexistent entries in the [files] list

See also
addon.register addon.uninstall

Index, Commands